﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;

namespace cw_tool
{
    class Letter
    {

        public string buchstabe;
        public string sound;
        public byte[] code;

        //*********************************************************************************
        public Letter(string r_buchstabe,string r_sound,byte[] r_code)
        {
            this.buchstabe = r_buchstabe;
            this.sound = r_sound;
            this.code = r_code;
        }


        //*********************************************************************************
        public Letter()
        { }


        //*********************************************************************************
        public static ArrayList createLetters(){
            byte k = 75;
            byte l = 225;

            ArrayList letters = new ArrayList();
            Letter letter = new Letter();

            letter = new Letter("A", "di dah", new byte[] { k, l });
            letters.Add(letter);

            letter = new Letter("Ä", "", new byte[] { k, l, k, l });
            letters.Add(letter);

            letter = new Letter("B", "dah di di dit", new byte[] { l, k, k, k });
            letters.Add(letter);

            letter = new Letter("C", "dah di dah dit", new byte[] { l, k, l, k });
            letters.Add(letter);

            letter = new Letter("D", "dah di dit", new byte[] { l, k, k });
            letters.Add(letter);

            letter = new Letter("E", "dit", new byte[] { k });
            letters.Add(letter);

            letter = new Letter("F", "di di dah dit", new byte[] { k, k, l, k });
            letters.Add(letter);

            letter = new Letter("G", "dah dah dit", new byte[] { l, l, k });
            letters.Add(letter);

            letter = new Letter("H", "di di di dit", new byte[] { k, k, k, k });
            letters.Add(letter);

            letter = new Letter("I", "di dit", new byte[] { k, k });
            letters.Add(letter);

            letter = new Letter("J", "di dah dah dah", new byte[] { k, l, l, l });
            letters.Add(letter);

            letter = new Letter("K", "dah di dah", new byte[] { l, k, l });
            letters.Add(letter);

            letter = new Letter("L", "di ah di dit", new byte[] { k, l, k, k });
            letters.Add(letter);

            letter = new Letter("M", "dah dah", new byte[] { l, l });
            letters.Add(letter);

            letter = new Letter("N", "dah dit", new byte[] { l, k });
            letters.Add(letter);

            letter = new Letter("O", "dah dah dah", new byte[] { l, l, l });
            letters.Add(letter);

            letter = new Letter("P", "di dah dah dit", new byte[] { k, l, l, k });
            letters.Add(letter);

            letter = new Letter("Q", "dah dah di dah", new byte[] { l, l, k, l });
            letters.Add(letter);

            letter = new Letter("R", "di dah dit", new byte[] { k, l, k });
            letters.Add(letter);

            letter = new Letter("S", "di di dit", new byte[] { k, k, k });
            letters.Add(letter);

            letter = new Letter("T", "dah", new byte[] { l });
            letters.Add(letter);

            letter = new Letter("U", "di di dah", new byte[] { k, k, l });
            letters.Add(letter);

            letter = new Letter("V", "di di di dah", new byte[] { k, k, k, l });
            letters.Add(letter);

            letter = new Letter("W", "di dah dah", new byte[] { k, l, l });
            letters.Add(letter);

            letter = new Letter("X", "dah di di dah", new byte[] { l, k, k, l });
            letters.Add(letter);

            letter = new Letter("Y", "dah di dah dah", new byte[] { l, k, l, l });
            letters.Add(letter);

            letter = new Letter("Z", "dah dah di dit", new byte[] { l, l, k, k });
            letters.Add(letter);

            return letters;
        }

    }
}
