﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Collections;

namespace cw_tool
{
    class Reccognition
    {        
        ArrayList letters;
        Worker_view parent;
        Queue<byte> que;

        // ********************************************************************************
        public Reccognition(Control owner)
        {
            this.parent = (Worker_view)owner;
            this.que = new Queue<byte>(6);

            letters=Letter.createLetters();
        }


        // ********************************************************************************
        public Letter checkLetter(byte[] code)
        {
            byte match;
            int i;
                
            // geht durch alle buchstaben
            foreach (Letter letter in letters)
            {
                if (code.Length == letter.code.Length)
                {
                    i=0;
                    match = 0;
                    // geht durch alle code bytes eines buchstabens
                    foreach (byte b in code)
                    {
                        if (b ==letter.code[i]) match++;
                        if (match == code.Length) return letter;    // treffer
                        i++;                        
                    }  
                }
            }
     
            // kein treffer
            return null;
        }

      
        // ********************************************************************************
        public void saveLetter()
        {        

            byte tmp = (byte)(this.parent.ticks + 10);

            this.que.Enqueue(tmp);

            if (this.que.Count >= 6) this.que.Dequeue();
        }

        
        // ********************************************************************************
        public Letter checkPause()
        {
            byte[] copy;
            Letter l;

            copy = new byte[this.que.Count];
            this.que.CopyTo(copy, 0);

            for (int i = 0; i < copy.Length; i++)
            {
                if (copy[i] > 20)
                {
                    copy[i] = 225;
                }
                else
                {
                    copy[i] = 75;
                }
            }

            this.que.Clear();
            l = this.checkLetter(copy);
            return l;
         
        }


        // ********************************************************************************
        public ArrayList getLetters()
        {
            return this.letters;
        }

    }
}

